
#include <string.h>

#include <tests.h>
#include <map.h>

DEFTEST(map_anon)
{
	map_t map;
	TEST_ASSERT(map_anon(NULL, 1024, &map) == MAP_SUCCESS);

	memset(map.origin, 0xab, map.len);
	TEST_ASSERT( ((u8*)map.origin)[10] == 0xab );

	TEST_ASSERT(map_free(map) == MAP_SUCCESS);

	return TEST_OK;
}
RUNTEST_DEBUG(map_anon)
